------------------------------------------------------------------------------
--                                                                          --
--                           GNAT PRO FOR ERC32 (DEMO)                      --
--                                                                          --
--                              T A S K I N G                               --
--                                                                          --
--                                 B o d y                                  --
--                                                                          --
--                      Copyright (C) 2004 ACT Europe                       --
--                                                                          --
-- The  Open  Ravenscar  Validation  Test Suite is  free  software; you can --
-- redistribute  it  and/or  modify  it under  terms  of  the  GNU  General --
-- Public  License as published  by  the Free Software  Foundation;  either --
-- version 2,  or (at your option)  any  later  version.  The test suite is --
-- distributed  in  the  hope  that  it  will  be  useful, but WITHOUT  ANY --
-- WARRANTY;  without  even  the  implied  warranty  of  MERCHANTABILITY or --
-- FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for --
-- more details. You should have received a copy of the GNU  General Public --
-- License  distributed  with  this  test  suite; see file COPYING. If not, --
-- write to the Free  Software  Foundation,  59  Temple Place  -  Suite 30, --
-- Boston, MA 02111-1307, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------

with Ada.Text_IO; use Ada.Text_IO;

with Workload;
--  Used for Small_Whetstone

package body Tasking is


   -------
   -- A --
   -------

   task body A is
   begin
      for I in 1 .. 10 loop
         --  Display start time

         Put_Line ("task a");

         --  Do something
         Workload.Small_Whetstone(1 * Workload.Kw);

         delay 0.1;
      end loop;
   end A;

   -------
   -- B --
   -------

   task body B is
   begin
      for I in 1 .. 12 loop

         Put_Line ("task b");
         Workload.Small_Whetstone(1 * Workload.Kw);

         delay 0.2;
      end loop;
   end B;

   -------
   -- C --
   -------

   task body C is
   begin
      for I in 1 .. 11 loop
         Put_Line ("task c");

         --  Do something
         Workload.Small_Whetstone(1 * Workload.Kw);
         delay 0.1;
      end loop;
   end C;

end Tasking;
